Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.databind.jsonschema
Class JsonSchema

    java.lang.Object
      com.fasterxml.jackson.databind.jsonschema.JsonSchema

    public class JsonSchema

extends Object

Container for a logical JSON Schema instance. Internally schema data is stored as a JSON Tree (instance of `JsonNode` is the root of schema document)

Author:
  Ryan Heaton
See Also:
  JSON Schema

Constructor Summary
`JsonSchema(ObjectNode schema)` Main constructor for schema instances.

Method Summary
`boolean` | `equals(Object o)`
`static JsonNode` | `getDefaultSchemaNode()` Get the default schema node.
`ObjectNode` | `getSchemaNode()` Method for accessing root JSON object of the contained schema.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JsonSchema

    public JsonSchema(ObjectNode schema)

  Main constructor for schema instances.

  This is the creator constructor used by Jackson itself when deserializing instances. It is so-called delegating creator, meaning that its argument will be bound by Jackson before constructor gets called.

Method Detail

### getSchemaNode

    public ObjectNode getSchemaNode()

  Method for accessing root JSON object of the contained schema.

  Note: this method is specified with `JsonValue` annotation to represent serialization to use; same as if explicitly serializing returned object.

  Returns:
    Root node of the schema tree

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### getDefaultSchemaNode

    public static JsonNode getDefaultSchemaNode()

  Get the default schema node.

  Returns:
    The default schema node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 fasterxml.com. All Rights Reserved.